
Robotics Service Bus - Bug #714
Bus-lock in socket-based transport is too coarse
11/10/2011 12:47 PM - J. Moringen

Status: Resolved Start date: 11/10/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Common Lisp Estimated time: 0.00 hour
Target version:
Description

Deadlocks can happen when events are simultaneously sent and received while racing for an additional lock in both threads.
Bummer.

Related issues:
Related to Robotics Service Bus - Feature # 711: Implement socket-based trans... Resolved 11/10/2011

Associated revisions
Revision 816559ca - 12/14/2011 03:32 AM - J. Moringen

initial merge of changes from socket-transport branch fixes #714, refs #711

History
#1 - 12/14/2011 03:40 AM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r3172.
